# $Revision: 1.9 $, $Date: 2009/10/18 20:27:08 $
%define		module		3945
%define		version1	15.28.1.8
Summary:	Microcode image for Intel PRO/Wireless 3945ABG/BG Network Connection Adapter
Summary(pl.UTF-8):	Obraz mikrokodu dla układów bezprzewodowych Intel PRO/Wireless 3945ABG/BG
Name:		iwlwifi-%{module}-ucode
Version:	15.32.2.9
Release:	1
License:	distributable
Group:		Base/Kernel
Source0:	http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
# Source0-md5:	d99a75ab1305d1532a09471b2f9a547a
Source1:	http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version1}.tgz
# Source1-md5:	e793b43b2ef96f8b2605bfee03d78622
URL:		http://www.intellinuxwireless.org/
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The file provided in this package is required to be present on your
system in order for the Intel PRO/Wireless 3945ABG/BG Network
Connection Adapter driver for Linux (iwlwifi-%{module}) to be able to
operate on your system.

On adapter initialization, and at varying times during the uptime of
the adapter, the microcode is loaded into the RAM on the network
adapter. The microcode provides the low level MAC features including
radio control and high precision timing events (backoff, transmit,
etc.) while also providing varying levels of packet filtering which
can be used to keep the host from having to handle packets that are
not of interest given the current operating mode of the device.

%description -l pl.UTF-8
Plik dostarczany przez ten pakiet jest wymagany w systemie do
działania linuksowego sterownika dla układów bezprzewodowych Intel
PRO/Wireless 3945ABG/BG Network Connection Adapter
(iwlwifi-%{module}).

Przy inicjalizacji układu i w różnych chwilach w trakcie jego
działania mikrokod jest wczytywany do pamięci RAM układu. Mikrokod
udostępnia funkcje niskopoziomowe MAC, w tym sterowanie częścią
radiową i zdarzeniami wymagającymi dużej dokładności czasowej
(oczekiwania, transmisja itp.), a także różne poziomy filtrowania
pakietów, zapobiegające docieraniu do komputera pakietów
niepotrzebnych w danym trybie pracy urządzenia.

%prep
%setup -q -a 1
mv %{name}-%{version1}/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware
cp -a iwlwifi-%{module}-1.ucode $RPM_BUILD_ROOT/lib/firmware
cp -a iwlwifi-%{module}-2.ucode $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.%{name} README.%{name}
/lib/firmware/*.ucode

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iwlwifi-3945-ucode.spec,v $
Revision 1.9  2009/10/18 20:27:08  glen
- cosmetics, preserve timestamps

Revision 1.8  2009/04/29 08:24:08  gotar
- upgraded to 15.32.2.9, moved LICENSE to %doc

Revision 1.7  2009/01/17 00:54:25  gotar
- restored APIv1 firmware

Revision 1.6  2009/01/15 14:13:08  gotar
- upgraded to 15.28.2.8

Revision 1.5  2008/10/25 14:30:02  mmazur
- up to 15.28.1.8

Revision 1.4  2008/06/24 14:07:53  blues
- unify desc

Revision 1.3  2008/01/14 19:00:19  qboosh
- pl, fixed Group

Revision 1.2  2007-10-13 20:55:04  blues
- proper description

Revision 1.1  2007/10/13 20:53:00  blues
- initial
